Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.accessibility
Class Accessibility

    java.lang.Object
      org.apache.fop.accessibility.Accessibility

public final class Accessibility
extends java.lang.Object

Helper class for FOP's accessibility features.

Field Summary
`static java.lang.String` | `ACCESSIBILITY` Constant string for the rendering options key to enable accessibility features.

Method Summary
`static org.xml.sax.helpers.DefaultHandler` | `decorateDefaultHandler(org.xml.sax.helpers.DefaultHandler handler, FOUserAgent userAgent)` Decorates the given handler so the structure tree used for accessibility features can be branched off the main content stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCESSIBILITY

    public static final java.lang.String ACCESSIBILITY

  Constant string for the rendering options key to enable accessibility features.

  See Also:
    Constant Field Values

Method Detail

### decorateDefaultHandler

    public static org.xml.sax.helpers.DefaultHandler decorateDefaultHandler(org.xml.sax.helpers.DefaultHandler handler,
                                                                            FOUserAgent userAgent)
                                                                     throws FOPException

  Decorates the given handler so the structure tree used for accessibility features can be branched off the main content stream.

  Parameters:
    `handler` - the handler to decorate
    `userAgent` - the user agent
  Returns:
    the decorated handler
  Throws:
    `FOPException` - if an error occurs setting up the decoration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.